package com.lantone.qc.kernel.catalogue.preoperativediscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 手术患者无术前讨论记录
 * @author: rengb
 * @time: 2020/3/23 15:09
 */
public class PRE0328 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status = "0";
        boolean isOperativePatient = true;//是手术患者(暂时默认是)
        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
            if (ListUtil.isEmpty(operationDocs)) {
                status = "-1";
            } else {
                for (OperationDoc operationDoc : operationDocs) {
                    if (operationDoc.getPreoperativeDiscussionDoc() == null) {
                        status = "-1";
                    }
                }
            }
        }
    }

}